package Quantity;

import java.math.BigDecimal;
import java.util.ArrayList;

/**
 * Created by K_A_Volchica on 19.03.2015.
 */
public class Main {

    public static void main(String[] args) {


        Quantity s1 = new Quantity(new BigDecimal("1.0"), Kind.D);

        Quantity s2 = new Quantity(new BigDecimal ("10.0"), Kind.TH);

        System.out.println(s1);

        Quantity s4 = new Quantity(new BigDecimal("20.0"), Kind.TH);
        Quantity s5 = s4.subtract(s2);
        System.out.println(s5);


        Quantity s6 = s1.multiply(new BigDecimal ("4.0"));
        System.out.println(s6);
        ArrayList<Quantity> a = s4.divide(new BigDecimal("50.0"));
        ArrayList<Quantity> b = s4.divide(new BigDecimal("3.0"));
        ArrayList<Quantity>c =s4.divide(new BigDecimal("4.0"));
        System.out.println("итого нужно положить в коробки: "+a);

        System.out.println("итого нужно положить в коробки: "+b);

        System.out.println("итого нужно положить в коробки: "+c);




    }
}